Bug 184207 - Clearlooks crashes with multiscreen setup and GIMP
Clearlooks crashes with multiscreen setup and GIMP
Product: Fedora
Classification: Fedora
Component: gtk-engines (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
  Show dependency treegraph
Reported: 2006-03-07 04:41 EST by Ville
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-27 01:26:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 333448 None None None Never

  None (edit)
Description Ville 2006-03-07 04:41:53 EST
Description of problem:

Clearlooks (and Bluecurve) crash GIMP when GIMP's main window is moved to the
second screen and the Display subpage is opened in the Preferences.

Version-Release number of selected component (if applicable):
GTK+ 2.8.11 (gtk-2-8 branch built 2006-01-20).

How reproducible:
Start GIMP (CVS HEAD 2006-03-05), move the main toolbox to the second screen and
open up the GIMP preferences. Then select the display subpage. 
Actual results:

#0  0x00291df6 in gdk_x_error () from /home/drc/next/lib/libgdk-x11-2.0.so.0
#1  0x00414323 in _XError () from /usr/X11R6/lib/libX11.so.6
#2  0x004149f1 in _XReply () from /usr/X11R6/lib/libX11.so.6
#3  0x0040f483 in XSync () from /usr/X11R6/lib/libX11.so.6
#4  0x0040f519 in XSync () from /usr/X11R6/lib/libX11.so.6
#5  0x003f4ae2 in XCopyArea () from /usr/X11R6/lib/libX11.so.6
#6  0x002842a5 in gdk_x11_draw_drawable ()
   from /home/drc/next/lib/libgdk-x11-2.0.so.0
#7  0x0025e03e in gdk_draw_drawable ()
   from /home/drc/next/lib/libgdk-x11-2.0.so.0
#8  0x00268dac in gdk_pixmap_draw_drawable ()
   from /home/drc/next/lib/libgdk-x11-2.0.so.0
#9  0x0025e03e in gdk_draw_drawable ()
   from /home/drc/next/lib/libgdk-x11-2.0.so.0
#10 0x00273d4a in gdk_window_draw_drawable ()
   from /home/drc/next/lib/libgdk-x11-2.0.so.0
#11 0x0025e03e in gdk_draw_drawable ()
   from /home/drc/next/lib/libgdk-x11-2.0.so.0
#12 0x004bb504 in clearlooks_rc_style_register_type ()
   from /home/drc/next/lib/gtk-2.0/2.4.0/engines/libclearlooks.so
#13 0x00d86870 in gtk_paint_option ()
   from /home/drc/next/lib/libgtk-x11-2.0.so.0
#14 0x00d55ba0 in gtk_radio_button_draw_indicator ()
   from /home/drc/next/lib/libgtk-x11-2.0.so.0
#15 0x00c6e361 in gtk_check_button_expose ()
   from /home/drc/next/lib/libgtk-x11-2.0.so.0
#16 0x00d2644e in _gtk_marshal_BOOLEAN__BOXED ()
   from /home/drc/next/lib/libgtk-x11-2.0.so.0
#17 0x002cd6e9 in g_type_class_meta_marshal ()
   from /home/drc/next/lib/libgobject-2.0.so.0
#18 0x002cdd4d in g_closure_invoke ()
   from /home/drc/next/lib/libgobject-2.0.so.0
#19 0x002dd463 in signal_emit_unlocked_R ()
   from /home/drc/next/lib/libgobject-2.0.so.0
#20 0x002de622 in g_signal_emit_valist ()
   from /home/drc/next/lib/libgobject-2.0.so.0
#21 0x002dec29 in g_signal_emit () from /home/drc/next/lib/libgobject-2.0.so.0
#22 0x00e13ff6 in gtk_widget_event_internal ()
   from /home/drc/next/lib/libgtk-x11-2.0.so.0
#23 0x00c9791a in gtk_container_propagate_expose ()
   from /home/drc/next/lib/libgtk-x11-2.0.so.0
#24 0x00c97971 in gtk_container_expose_child ()
   from /home/drc/next/lib/libgtk-x11-2.0.so.0
#25 0x00c5a500 in gtk_box_forall () from /home/drc/next/lib/libgtk-x11-2.0.so.0
#26 0x00c95cab in gtk_container_forall ()
   from /home/drc/next/lib/libgtk-x11-2.0.so.0
#27 0x00c976a1 in gtk_container_expose ()
   from /home/drc/next/lib/libgtk-x11-2.0.so.0
#28 0x00d2644e in _gtk_marshal_BOOLEAN__BOXED ()
   from /home/drc/next/lib/libgtk-x11-2.0.so.0

Quote from Sven Neumann: "the error is that the theme engine doesn't release /
reacquire the graphics contexts and/or pixmaps on screen changes"
Comment 1 Matthias Clasen 2006-11-27 01:26:42 EST
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component

Note You need to log in before you can comment on or make changes to this bug.